Bug 220418 - math/R: Added BLAS libraries into .pc file
Summary: math/R: Added BLAS libraries into .pc file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks: 220359
  Show dependency treegraph
 
Reported: 2017-07-01 18:38 UTC by Yuri Victorovich
Modified: 2017-10-27 04:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jrm)


Attachments
patch (767 bytes, patch)
2017-07-01 18:38 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-07-01 18:38:15 UTC
Created attachment 183988 [details]
patch
Comment 1 Joseph Mingrone freebsd_committer 2017-09-29 23:43:58 UTC
Yuri, with math/R now building with flang by default on amd64, will this patch be the last thing you need for your work on RStudio?
Comment 2 Yuri Victorovich freebsd_committer 2017-09-30 02:05:49 UTC
(In reply to Joseph Mingrone from comment #1)

> Yuri, with math/R now building with flang by default on amd64, will this patch be the last thing you need for your work on RStudio?

But why do you think so? .pc file conveys to the dependencies what library flags are needed. Rstudio fails without those link flags.
Comment 3 Joseph Mingrone freebsd_committer 2017-09-30 09:08:19 UTC
Let me rephrase, so the meaning of my question is clear.  Is this patch still useful for your work?  By adding "Blocks: 220359" I see the answer is 'yes'.

I will test and if all is well apply the patch within a day or so.
Comment 4 Yuri Victorovich freebsd_committer 2017-09-30 14:42:36 UTC
(In reply to Joseph Mingrone from comment #3)

> Is this patch still useful for your work?

I created this patch because it was needed. Any dependency that uses pkg-config will also need it.
Comment 5 Joseph Mingrone freebsd_committer 2017-10-05 21:57:21 UTC
Update: I haven't forgotten about this and will commit soon.  I am just waiting for conclusions on https://reviews.freebsd.org/D12562 and https://reviews.freebsd.org/D12529.  I think it would be test to make all these changes at once, so users only have to update in one go.
Comment 6 commit-hook freebsd_committer 2017-10-26 17:05:28 UTC
A commit references this bug:

Author: jrm
Date: Thu Oct 26 17:05:21 UTC 2017
New revision: 452928
URL: https://svnweb.freebsd.org/changeset/ports/452928

Log:
  math/R: Use the new flang argument to USES=fortran and patch libR.pc to link the
  appropriate BLAS library.

  PR:		220418
  Submitted by:	yuri@rawbw.com

Changes:
  head/math/R/Makefile
Comment 7 Joseph Mingrone freebsd_committer 2017-10-26 17:06:43 UTC
Committed.  Sorry for the long delay and I hope this helps you continue your work with RStudio.
Comment 8 Yuri Victorovich freebsd_committer 2017-10-27 04:56:02 UTC
(In reply to Joseph Mingrone from comment #7)

Thanks!

I am done with RStudio.

Yuri